import { d6 as u, dA as r, d8 as s, fN as c, fO as i, a4 as l, ad as m, H as n, fM as t } from "./56c67d3b.js";
import "react";
import "react-dom";
const h = [...u([r, s, c, i])], C = [{
  label: l("autoComplete.colorIcon"),
  value: "blue"
}, {
  label: l("autoComplete.grewIcon"),
  value: "grew"
}], D = [{
  label: l("autoComplete.selectLable"),
  value: "label"
}, {
  label: l("autoComplete.selectKey"),
  value: "value"
}], M = [{
  label: l("autoComplete.small"),
  value: "small"
}, {
  label: l("autoComplete.large"),
  value: "large"
}], k = [{
  label: l("autoComplete.antDesign"),
  value: "AntDesign"
}, {
  label: l("autoComplete.normal"),
  value: "normal"
}], y = /* @__PURE__ */ m("li", {
  children: [l("autoComplete.Introduction"), ":", /* @__PURE__ */ n("br", {}), "1. label - ", l("autoComplete.helpLabel"), /* @__PURE__ */ n("br", {}), "2. value - ", l("autoComplete.helpValue")]
}), I = [{
  value: "1-BeiJing",
  label: "北京"
}, {
  value: "2-ShangHai",
  label: "上海"
}, {
  value: "3-GuangDong",
  label: "广东"
}, {
  value: "4-ShenZhen",
  label: "深圳"
}];
function L(e) {
  return e === "" ? [] : p(e) ?? [];
}
function p(e, a) {
  return t(e, ["array", "undefined"], a, (o, b) => (t(o.value, ["string"], "value"), t(o.label, ["string"], "label"), o));
}
function O(e) {
  return t(e == null ? void 0 : e.name, ["string"], "name"), t(e == null ? void 0 : e.avatar, ["string", "undefined"], "avatar"), e;
}
function S(e) {
  if (e === "")
    return {};
  for (const a in e)
    t(e[a], ["array"], a, (o) => (t(o, ["string"]), o));
  return e;
}
export {
  I as autoCompleteDate,
  h as autoCompleteRefMethods,
  k as autoCompleteType,
  C as autocompleteIconColor,
  S as checkMentionListData,
  O as checkUserInfoData,
  M as componentSize,
  L as convertAutoCompleteData,
  y as itemsDataTooltip,
  D as valueOrLabelOption
};
